Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.flexdock.perspective.persist
Interface PersistenceHandler

All Known Implementing Classes:
  FilePersistenceHandler

    public interface PersistenceHandler

Created on 2005-06-03

Version:
  $Id: PersistenceHandler.java,v 1.5 2005-07-06 03:21:53 marius Exp $
Author:
  Mateusz Szczap

Method Summary
`Persister` | `createDefaultPersister()`
`PerspectiveModel` | `load(String persistenceKey)`
`boolean` | `store(String persistenceKey, PerspectiveModel perspectiveModel)`

Method Detail

### store

    boolean store(String persistenceKey,
                  PerspectiveModel perspectiveModel)
                  throws IOException,
                         PersistenceException

  Throws:
    `IOException`
    `PersistenceException`

### load

    PerspectiveModel load(String persistenceKey)
                          throws IOException,
                                 PersistenceException

  Throws:
    `IOException`
    `PersistenceException`

### createDefaultPersister

    Persister createDefaultPersister()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD